Bug 469671 - F-spot dies right after gnome-keyring dialog for password storing
F-spot dies right after gnome-keyring dialog for password storing
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: f-spot (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nigel Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-03 07:49 EST by Peter Lemenkov
Modified: 2009-07-14 10:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:31:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2008-11-03 07:49:39 EST
Description of problem: when I'm trying to export files to my Picasa album, message box with text about storing my account details in gnome-keyring appears. I choosed unsafe storage for my keys, and right after it f-pod died.


Version-Release number of selected component (if applicable): f-spot-0.4.3.1


Additional info: traceback of gnome from my console


open uri = file:///home/petro/MyPhotos/!00_VINES/P1000249.JPG
open uri = file:///home/petro/MyPhotos/!00_VINES/P1000249.JPG
Gnome.Keyring.KeyringException: Unknown error
  at Gnome.Keyring.Ring.SendRequest (System.IO.MemoryStream stream) [0x00000] 
  at Gnome.Keyring.Ring.Find (ItemType type, System.Collections.Hashtable atts) [0x00000] 

(f-spot:20640): Gtk-CRITICAL **: gtk_menu_popup: assertion `GTK_IS_MENU (menu)' failed

(f-spot:20640): Gtk-CRITICAL **: gtk_menu_get_active: assertion `GTK_IS_MENU (menu)' failed
GoogleAccount.Connect()
Exception in Gtk# callback delegate
  Note: Applications can use GLib.ExceptionManager.UnhandledException to handle the exception.
System.ArgumentOutOfRangeException: Index is less than 0 or more than or equal to the list count.
Parameter name: index
0
  at System.Collections.ArrayList.get_Item (Int32 index) [0x00000] 
  at System.Collections.Specialized.NameObjectCollectionBase.BaseGet (Int32 index) [0x00000] 
  at Mono.Google.Picasa.PicasaAlbumCollection.get_Item (Int32 index) [0x00000] 
  at FSpotGoogleExport.GoogleExport.HandleAlbumOptionMenuChanged (System.Object sender, System.EventArgs args) [0x00000] 
  at GLib.Signal.voidObjectCallback (IntPtr handle, IntPtr data) [0x00000] 
   at GLib.Signal.voidObjectCallback(IntPtr , IntPtr )
   at Gtk.OptionMenu.gtk_option_menu_set_menu(IntPtr , IntPtr )
   at Gtk.OptionMenu.gtk_option_menu_set_menu(IntPtr , IntPtr )
   at Gtk.OptionMenu.set_Menu(Gtk.Widget value)
   at FSpotGoogleExport.GoogleExport.PopulateAlbumOptionMenu(Mono.Google.Picasa.PicasaWeb picasa)
   at FSpotGoogleExport.GoogleExport.Connect(FSpotGoogleExport.GoogleAccount selected, System.String token, System.String text)
   at FSpotGoogleExport.GoogleExport.Connect(FSpotGoogleExport.GoogleAccount selected)
   at FSpotGoogleExport.GoogleExport.Connect()
   at FSpotGoogleExport.GoogleExport.HandleAccountSelected(System.Object sender, System.EventArgs args)
   at GLib.Signal.voidObjectCallback(IntPtr handle, IntPtr data)
   at GLib.Signal.voidObjectCallback(IntPtr , IntPtr )
   at Gtk.OptionMenu.gtk_option_menu_set_menu(IntPtr , IntPtr )
   at Gtk.OptionMenu.gtk_option_menu_set_menu(IntPtr , IntPtr )
   at Gtk.OptionMenu.set_Menu(Gtk.Widget value)
   at FSpotGoogleExport.GoogleExport.PopulateGoogleOptionMenu(FSpotGoogleExport.GoogleAccountManager manager, FSpotGoogleExport.GoogleAccount changed_account)
   at FSpotGoogleExport.GoogleAccountManager.MarkChanged(Boolean write, FSpotGoogleExport.GoogleAccount changed_account)
   at FSpotGoogleExport.GoogleAccountManager.AddAccount(FSpotGoogleExport.GoogleAccount account, Boolean write)
   at FSpotGoogleExport.GoogleAccountManager.AddAccount(FSpotGoogleExport.GoogleAccount account)
   at FSpotGoogleExport.GoogleAccountDialog.HandleAddResponse(System.Object sender, Gtk.ResponseArgs args)
   at Gtk.Dialog.ResponseSignalCallback(IntPtr arg0, Int32 arg1, IntPtr gch)
   at Gtk.Dialog.ResponseSignalCallback(IntPtr , Int32 , IntPtr )
   at Gtk.Application.gtk_main()
   at Gtk.Application.gtk_main()
   at Gtk.Application.Run()
   at Gnome.Program.Run()
   at FSpot.Driver.Main(System.String[] args)
Segmentation fault
[petro@Sulaco ~]$
Comment 1 Peter Lemenkov 2008-11-03 07:50:52 EST
s/traceback of gnome from my console/traceback of f-spot from my console
Comment 2 Peter Lemenkov 2008-11-03 07:55:34 EST
Just found that after the first crash, each attemt to access GoogleAccount.Connect() renders application to death:

[petro@Sulaco ~]$ f-spot
Initializing Mono.Addins
Starting new FSpot server
Query: SELECT photos.id, photos.time, photos.uri, photos.description, photos.roll_id, photos.default_version_id, photos.rating FROM photos  WHERE photos.id NOT IN (SELECT photo_id FROM photo_tags WHERE tag_id = 2) ORDER BY photos.time
Query: SELECT photos.id, photos.time, photos.uri, photos.description, photos.roll_id, photos.default_version_id, photos.rating FROM photos  WHERE photos.id NOT IN (SELECT photo_id FROM photo_tags WHERE tag_id = 2) ORDER BY photos.time
Query: SELECT photos.id, photos.time, photos.uri, photos.description, photos.roll_id, photos.default_version_id, photos.rating FROM photos  WHERE photos.id NOT IN (SELECT photo_id FROM photo_tags WHERE tag_id = 2) ORDER BY photos.time
Query: SELECT photos.id, photos.time, photos.uri, photos.description, photos.roll_id, photos.default_version_id, photos.rating FROM photos  WHERE photos.id NOT IN (SELECT photo_id FROM photo_tags WHERE tag_id = 2) ORDER BY photos.time
Reloading
Query: SELECT photos.id, photos.time, photos.uri, photos.description, photos.roll_id, photos.default_version_id, photos.rating FROM photos  WHERE photos.id NOT IN (SELECT photo_id FROM photo_tags WHERE tag_id = 2) ORDER BY photos.time
item changed
open uri = file:///home/petro/MyPhotos/!00_VINES/P1000250.JPG
open uri = file:///home/petro/MyPhotos/!00_VINES/P1000250.JPG
open uri = file:///home/petro/MyPhotos/!00_VINES/P1000250.JPG
open uri = file:///home/petro/MyPhotos/!00_VINES/P1000250.JPG

(f-spot:20728): GdkPixbuf-WARNING **: GdkPixbufLoader finalized without calling gdk_pixbuf_loader_close() - this is not allowed. You must explicitly end the data stream to the loader before dropping the last reference.
open uri = file:///home/petro/MyPhotos/!00_VINES/P1000247.JPG
open uri = file:///home/petro/MyPhotos/!00_VINES/P1000247.JPG
open uri = file:///home/petro/MyPhotos/!00_VINES/P1000248.JPG
open uri = file:///home/petro/MyPhotos/!00_VINES/P1000248.JPG
open uri = file:///home/petro/MyPhotos/!00_VINES/P1000249.JPG
open uri = file:///home/petro/MyPhotos/!00_VINES/P1000249.JPG
open uri = file:///home/petro/MyPhotos/!00_VINES/P1000250.JPG
System.ArgumentException: length
  at System.Array.Copy (System.Array sourceArray, Int32 sourceIndex, System.Array destinationArray, Int32 destinationIndex, Int32 length) [0x00000] 
  at FSpot.Tiff.CFAPattern..ctor (System.Byte[] raw_data, Boolean little) [0x00000] 
  at FSpot.Tiff.Header.SelectDirectory (FSpot.Tiff.ImageDirectory dir, StatementSink sink) [0x00000] 
  at FSpot.Tiff.Header.SelectDirectory (FSpot.Tiff.ImageDirectory dir, StatementSink sink) [0x00000] 
open uri = file:///home/petro/MyPhotos/!00_VINES/P1000248.JPG
System.ArgumentException: length
  at System.Array.Copy (System.Array sourceArray, Int32 sourceIndex, System.Array destinationArray, Int32 destinationIndex, Int32 length) [0x00000] 
  at FSpot.Tiff.CFAPattern..ctor (System.Byte[] raw_data, Boolean little) [0x00000] 
  at FSpot.Tiff.Header.SelectDirectory (FSpot.Tiff.ImageDirectory dir, StatementSink sink) [0x00000] 
  at FSpot.Tiff.Header.SelectDirectory (FSpot.Tiff.ImageDirectory dir, StatementSink sink) [0x00000] 
GoogleAccount.Connect()
Exception in Gtk# callback delegate
  Note: Applications can use GLib.ExceptionManager.UnhandledException to handle the exception.
System.ArgumentOutOfRangeException: Index is less than 0 or more than or equal to the list count.
Parameter name: index
0
  at System.Collections.ArrayList.get_Item (Int32 index) [0x00000] 
  at System.Collections.Specialized.NameObjectCollectionBase.BaseGet (Int32 index) [0x00000] 
  at Mono.Google.Picasa.PicasaAlbumCollection.get_Item (Int32 index) [0x00000] 
  at FSpotGoogleExport.GoogleExport.HandleAlbumOptionMenuChanged (System.Object sender, System.EventArgs args) [0x00000] 
  at GLib.Signal.voidObjectCallback (IntPtr handle, IntPtr data) [0x00000] 
   at GLib.Signal.voidObjectCallback(IntPtr , IntPtr )
   at Gtk.OptionMenu.gtk_option_menu_set_menu(IntPtr , IntPtr )
   at Gtk.OptionMenu.gtk_option_menu_set_menu(IntPtr , IntPtr )
   at Gtk.OptionMenu.set_Menu(Gtk.Widget value)
   at FSpotGoogleExport.GoogleExport.PopulateAlbumOptionMenu(Mono.Google.Picasa.PicasaWeb picasa)
   at FSpotGoogleExport.GoogleExport.Connect(FSpotGoogleExport.GoogleAccount selected, System.String token, System.String text)
   at FSpotGoogleExport.GoogleExport.Connect(FSpotGoogleExport.GoogleAccount selected)
   at FSpotGoogleExport.GoogleExport.Connect()
   at FSpotGoogleExport.GoogleExport.Run(IBrowsableCollection selection)
   at FSpot.Extensions.ExportMenuItemNode.OnActivated(System.Object o, System.EventArgs e)
   at GLib.Signal.voidObjectCallback(IntPtr handle, IntPtr data)
   at GLib.Signal.voidObjectCallback(IntPtr , IntPtr )
   at Gtk.Application.gtk_main()
   at Gtk.Application.gtk_main()
   at Gtk.Application.Run()
   at Gnome.Program.Run()
   at FSpot.Driver.Main(System.String[] args)
Segmentation fault
[petro@Sulaco ~]$ 


BTW why not to update f-spot to latest version? It's not so interesting to dig in sources of outdated application.
Comment 3 Bug Zapper 2009-06-09 23:09:41 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 10:31:07 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.